package cn.com.qmth.examcloud.core.oe.task.service.bean;

import java.io.Serializable;

public class FaceApiParam implements Serializable {

    private static final long serialVersionUID = 2983309896884898091L;

    /**
     * 最大线程数【默认：2】
     */
    private int maxThreadNum = 2;

    /**
     * 最大错误次数【默认：10】
     */
    private int maxErrorNum = 10;

    /**
     * 人脸比对 - 使用百度API还是Face++API【默认：true】
     */
    private boolean useBaiduApi = true;

    /**
     * 百度人脸比对 - 使用私有化部署API还是在线版API【默认：true】
     */
    private boolean useLocalBaiduApiForFaceCompare = true;

    /**
     * 百度真实性检测 - 使用私有化部署API还是在线版API【默认：true】
     */
    private boolean useLocalBaiduApiForFaceLiveness = true;

    public int getMaxThreadNum() {
        return maxThreadNum;
    }

    public void setMaxThreadNum(int maxThreadNum) {
        this.maxThreadNum = maxThreadNum;
    }

    public int getMaxErrorNum() {
        return maxErrorNum;
    }

    public void setMaxErrorNum(int maxErrorNum) {
        this.maxErrorNum = maxErrorNum;
    }

    public boolean isUseBaiduApi() {
        return useBaiduApi;
    }

    public void setUseBaiduApi(boolean useBaiduApi) {
        this.useBaiduApi = useBaiduApi;
    }

    public boolean isUseLocalBaiduApiForFaceCompare() {
        return useLocalBaiduApiForFaceCompare;
    }

    public void setUseLocalBaiduApiForFaceCompare(boolean useLocalBaiduApiForFaceCompare) {
        this.useLocalBaiduApiForFaceCompare = useLocalBaiduApiForFaceCompare;
    }

    public boolean isUseLocalBaiduApiForFaceLiveness() {
        return useLocalBaiduApiForFaceLiveness;
    }

    public void setUseLocalBaiduApiForFaceLiveness(boolean useLocalBaiduApiForFaceLiveness) {
        this.useLocalBaiduApiForFaceLiveness = useLocalBaiduApiForFaceLiveness;
    }

}
